import { IconifyJSON } from '@iconify/types';
import { PreprocessorGroup } from 'svelte/types/compiler/preprocess';

interface BaseConfig {
    silent?: boolean;
    mode?: 'development' | 'production';
    configPath?: string;
    disableFormat?: boolean;
    devTools?: {
        enabled: boolean;
        completions?: boolean;
    };
    safeList?: string;
    preflights?: boolean;
    experimental?: {
        icons?: {
            prefix?: string;
            collections?: Record<string, IconifyJSON>;
            extraProperties?: Record<string, string>;
        };
        scan?: boolean;
    };
}
declare type DefaultConfig = BaseConfig;
declare type UserConfig = BaseConfig;
declare function windi(userConfig?: UserConfig): PreprocessorGroup;

export { BaseConfig, DefaultConfig, UserConfig, windi as default, windi };
